program Otwory_po_okregu;

const
//==============================
// PARAMETRY GLBALNE
LICZBA_OTWOROW=10;
SREDNICA_OTWOROW=25;
SREDNICA_OKREGU=200;
DEPTH=3;
FREZ_FI=2;

ZRapid=5;
Fxy=800;
Fz=400;


//==============================
// funkcja generuje punkt wiercenia
// x,y: położenie
//==============================
procedure ADD_DRILL(x,y:extended);
begin

  SetG(0); SetZ(ZRapid);
  write;

  SetX(x);  SetY(y);
  Write;

  SetG(1); SetZ(-1*DEPTH); SetF(Fz);
  write;

  SetG(0); SetZ(ZRapid);
  write;
end;

//==============================
// funkcja generuje okrąg
// x,y: środek okręgu
// fi: średnica
//==============================
procedure ADD_CIR(x,y,fi:extended);
var r:extended;
begin
  if (fi<=FREZ_FI) then begin
   ADD_DRILL(x,y)
   exit;
  end;
  r:=(fi/2)-(FREZ_FI/2);

  SetG(0); SetZ(ZRapid);
  write;

  SetX(x-r);  SetY(y);
  Write;

  SetG(1); SetZ(-1*DEPTH); SetF(Fz);
  write;

  SetG(3); SetX(x+r);  SetI(r); SetJ(0); SetF(Fxy);
  write;
  SetG(3); SetX(x-r);  SetI(-1*r); SetJ(0);
  write;

  SetG(0); SetZ(ZRapid);
  write;
end;

//==============================
// Główny program
//==============================
var i:cardinal; xs,ys:extended;
begin

  SetM(3);
  write;

  SetG(0); SetZ(20);
  Write;

  for i:=0 to LICZBA_OTWOROW-1 do begin
    xs:=CirPointX(SREDNICA_OKREGU/2,i*(360/LICZBA_OTWOROW));
    ys:=CirPointY(SREDNICA_OKREGU/2,i*(360/LICZBA_OTWOROW));
    ADD_CIR(xs,ys,SREDNICA_OTWOROW);
  end;

  SetZ(20); SetG(0);
  write;

  SetM(5);SetM(30);
  write;
end.


